
UID := $(shell id -u)
GID := $(shell id -g)

export UID
export GID

run:
	python app.py

run_webui:
	@cd webui && npm run serve

install:
	@echo "INSTALL MISSING!"

run_tests:
	python -m unittest discover tests/

run_coverage:
	@PYTHONWARNINGS="ignore::ResourceWarning" coverage run -m unittest discover tests/
	@coverage run --concurrency=eventlet --append -m unittest tests.client.pipeline_tests
	coverage html
	coverage report -m

run_pylint:
	pylint --rcfile=.pylintrc app.py pycs

build_docker:
	docker build . \
		--tag pycs:latest \
		--build-arg UID=${UID} \
		--build-arg GID=${GID}

run_docker: build_docker
	@mkdir -p projects db external_data
	docker-compose up
